import request from '@/utils/request'

// 查询LineAccountSetting列表
export function listLineAccountSetting(query) {
    return request({
        url: '/api/v1/line-account-setting',
        method: 'get',
        params: query
    })
}

// 查询LineAccountSetting详细
export function getLineAccountSetting (id) {
    return request({
        url: '/api/v1/line-account-setting/' + id,
        method: 'get'
    })
}


// 新增LineAccountSetting
export function addLineAccountSetting(data) {
    return request({
        url: '/api/v1/line-account-setting',
        method: 'post',
        data: data
    })
}

// 修改LineAccountSetting
export function updateLineAccountSetting(data) {
    return request({
        url: '/api/v1/line-account-setting/'+data.id,
        method: 'put',
        data: data
    })
}

// 删除LineAccountSetting
export function delLineAccountSetting(data) {
    return request({
        url: '/api/v1/line-account-setting',
        method: 'delete',
        data: data
    })
}

